Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
[Java] Class NullWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.control.io.NullWriter

    public class NullWriter
    extends java.io.Writer

An Writer than eats its input.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`static NullWriter` | `DEFAULT`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT

    public static final NullWriter DEFAULT

Method Detail

### close

    public void close()

### flush

    public void flush()

### write

    public void write(char[] cbuf, int off, int len)

Groovy Documentation